{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="{{url_for('static',filename='css/events.css')}}">
<link rel="stylesheet" href="{{url_for('static',filename='css/Growing-Search-Bar-Animated-Text-Input.css')}}">
<link rel="stylesheet" href="{{url_for('static',filename='css/Team-Grid.css')}}">
{% endblock %}

{% block main %}
<main>
    <div class="input-group d-flex">
        <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-search"></i></span>
        </div>
        <input class="form-control" type="search" placeholder="Je recherche...">
        <div class="input-group-append">
            <button class="btn btn-primary" id="bouton-search" type="button">Rechercher</button>
        </div>
    </div>
    <div class="team-grid">
        <div class="container-fluid h-100 d-flex flex-column">
            <div class="row justify-content-center align-items-center people flex-fill">
                    {% for soiree in evenements %}
                    <div class="card">
                        <p class="ecart">Soirée
                            {{soiree.jeu_session.titre}}</p>
                        <p>Chez {{soiree.createur_session.pseudo}}</p>
                            <div class="card-body">
                            <p>{{soiree.adresse.num}}
                                {{soiree.adresse.type_adresse}}
                                {{soiree.adresse.nom_adresse}}<br>{{soiree.adresse.nom_ville}}
                                {{soiree.adresse.code_postal}}</p>
                            <p>Il reste
                                {{soiree.jeu_session.nb_max_joueurs - soiree.participants|length}} places
                                :<br>{{soiree.participants|length}}/{{soiree.jeu_session.nb_max_joueurs}}
                            </p>
                            <p><span><a href="{{ url_for('getPageGame', titre=soiree.jeu_session.titre) }}">Voir les
                                        règles du jeu</a></span><br></p><button class="btn btn-outline-secondary"
                                type="button">Réserver</button>
                        </div>
                    </div>
                    {% endfor %}
            </div>
        </div>
    </div>
</main>
{% block scripts %}
<script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>

<script src="{{url_for('static',filename='js/google_map.js')}}"></script>
<script>
    var markers = {{ markers| tojson}};
</script>
<script async defer
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAPy_6pciMc81Yp71xVlPSe1hPdsIhLBHo&callback=initMap">google.maps.event.addDomListener(window, 'load', initMap);</script>

{% endblock scripts %}
{% endblock %}